WinDom: rscHDR Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# rscHDR Struct Reference

Header structure of a GEM resource file loaded by mt_RsrcXload(). More...

`#include <mt_wndm.h>`

## Data Fields
long | nobs
| Number of elements in object field.
long | ntree
| Number of elements in trindex field.
long | nted
| Number of elements in tedinfo field.
long | ncib
| Number of elements in ciconblk field.
long | nib
| Number of elements in iconblk field.
long | nbb
| Number of elements in bitblk field.
long | nfstr
| Number of elements in frstr field.
long | nfimg
| Number of elements in frimg field.
OBJECT * | object
| Table of OBJECTs.
TEDINFO * | tedinfo
| Table of TEDINFOs.
ICONBLK * | iconblk
| Table of ICONBLKs.
BITBLK * | bitblk
| Table of BITBLKs.
CICON * | cicon
| Table of CICONs.
CICONBLK * | ciconblk
| Table of CICONBLKs.
char ** | frstr
| Table of free string.
BITBLK ** | frimg
| Table of free image data.
OBJECT ** | trindex
| Table of objects trees.

## Detailed Description

Header structure of a GEM resource file loaded by mt_RsrcXload().

## Field Documentation

BITBLK* rscHDR::bitblk

| Table of BITBLKs.

CICON* rscHDR::cicon

| Table of CICONs.

CICONBLK* rscHDR::ciconblk

| Table of CICONBLKs.

BITBLK** rscHDR::frimg

| Table of free image data.

char** rscHDR::frstr

| Table of free string.

ICONBLK* rscHDR::iconblk

| Table of ICONBLKs.

long rscHDR::nbb

| Number of elements in bitblk field.

long rscHDR::ncib

| Number of elements in ciconblk field.

long rscHDR::nfimg

| Number of elements in frimg field.

long rscHDR::nfstr

| Number of elements in frstr field.

long rscHDR::nib

| Number of elements in iconblk field.

long rscHDR::nobs

| Number of elements in object field.

long rscHDR::nted

| Number of elements in tedinfo field.

long rscHDR::ntree

| Number of elements in trindex field.

OBJECT* rscHDR::object

| Table of OBJECTs.

TEDINFO* rscHDR::tedinfo

| Table of TEDINFOs.

OBJECT** rscHDR::trindex

| Table of objects trees.

The documentation for this struct was generated from the following file:

- mt_wndm.h